--[[
    Console.lua
    
    Console/ShlashConsole Interface for Privacy2.
    
    The original Privacy is by Sterntraeumer.
--]]

assert(Privacy, "Privacy2 must be loaded to create the console interface. Please report this bug.")

local L = AceLibrary("AceLocale-2.2"):new("Privacy2")

------

Privacy.Console = {
  type = "group",
  args = {
    add = {
      name = L["add"],
      desc = L["Adds a VIP."],
      type = "text",
      usage = L["<player>"],
      get  = false, 
      set  = "AddVIP",
    },
    remove = {
      name = L["remove"],
      desc = L["Removes a VIP."],
      type = "text",
      usage = L["<player>"],
      get  = false,
      set  = "RemoveVIP",
    },
    setanswer = {
      name = L["set answer"],
      desc = L["Sets the auto answer for blocked whispers."],
      type = "text",
      usage = L["<text>"],
      get  = false,
      set  = "SetAutoAnswer", 
    },
    replay = {
      name = L["replay"],
      desc = L["Lists all blocked whispers."],
      type = "execute",
      func = "ListBlockedWhispers",
    },
    showvip = {
      name = L["show VIP"],
      desc = L["Lists all VIP."],
      type = "execute",
      func = "ListVIP",    
    },   
    on = {
      name = L["on"],
      desc = L["Enables the adddon."],
      type = "execute",
      func = "ConsoleOn",
    },
    off = {
      name = L["off"],
      desc = L["Disables the addon."],
      type = "execute",
      func = "ConsoleOff",
    },
    status = {
      name = L["status"],
      desc = L["Shows the current status."],
      type = "execute",
      func = "PrintStatus",
    },
    config = {
      name = L["config"],
      desc = L["Shows the config interface."],
      type = "execute",
      func = "OpenConfig",
    }
  },
}

------

function Privacy:ConsoleOn()
  self:ToggleActive(true)
  self:PrintStatus()
end

function Privacy:ConsoleOff()
  self:ToggleActive(false)
  self:PrintStatus()
end

------

function Privacy:ConsoleInit()
  self:RegisterChatCommand(L["SLASH_CMD"], self.Console)
end
